GWT 2.7.0

## com.google.gwt.aria.client
Enum AutocompleteValue

    java.lang.Object
      java.lang.Enum<AutocompleteValue>
          com.google.gwt.aria.client.AutocompleteValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<AutocompleteValue>

    public enum AutocompleteValue

extends java.lang.Enum<AutocompleteValue>
implements AriaAttributeType

Property enum for 'aria-autocomplete' values.

Enum Constant Summary
`BOTH`
`INLINE`
`LIST`
`NONE`

Method Summary
`java.lang.String` | `getAriaValue()`
`static AutocompleteValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AutocompleteValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INLINE

    public static final AutocompleteValue INLINE

### LIST

    public static final AutocompleteValue LIST

### BOTH

    public static final AutocompleteValue BOTH

### NONE

    public static final AutocompleteValue NONE

Method Detail

### values

    public static AutocompleteValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AutocompleteValue c : AutocompleteValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AutocompleteValue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAriaValue

    public java.lang.String getAriaValue()

  Specified by:
    `getAriaValue` in interface `AriaAttributeType`

GWT 2.7.0